[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# EncodeTimeInterval

Encode an interval as a TDateTime value.

## Declaration

Source position: dateutil.inc line 352

`function EncodeTimeInterval(`
`Hour: Word;`
`Minute: Word;`
`Second: Word;`
`MilliSecond: Word`
`):TDateTime;`

## Description

EncodeTimeInterval encodes a time interval expressed in Hour, Min, Sec, MSec as a TDateTime value and returns the value in Time.

## Errors

If Min, Sec, MSec do not contain a valid time indication, then an EConvertError exception is raised.

## See also

TryEncodeTimeInterval |  | Try to encode an interval as a TDateTime value.